Attention RedHat 5.x users
==========================

Audio driver
------------

The audio driver included in Red-hat 5.x is old (version 3.5)
and contains several bugs that may prevent proper audio/video
sync and may reduce the performance of the player.

If you have audio-related problems, you may
either install a more recent version of the
OSS/Free audio driver (3.8s or later), or use the
commercial audio driver OSS/Linux.

OSS/Free can be obtained from:
ftp://ftp.opensound.com/ossfree/

OSS/Linux can be obtained from:
http://www.4front-tech.com/linux.html

Glibc-based systems
-------------------

NEW: An experimental glibc-based version of the player
available in directory x86-unknown-linux-glibc should work
better with RedHat 5.x and other glibc-based systems.

If you use RedHat 5.x, try the x86-unknown-linux-glibc
first!

If you have problems running it, please contact us.
You can also try the following tips to run the libc5 version
(this one) on your glibc-based system.

============================================================
The following instructions are for running the libc5 version
(directory x86-unknown-linux) on a gblic-based system (e.g.
RedHat 5.x).
============================================================

Libraries
---------

We recommend that you  put the following directories
in your LD_LIBRARY_PATH:

  /usr/i486-linux-libc5/lib:/usr/local/lib

You need that so that mtv and mtvp find the old libraries
that they expect. New libraries may not be fully
compatible.

Note: LD_LIBRARY_PATH is an environment variable like
PATH. The system uses it to find dynamic library.
Look at the manual for how to set environment
variables in your startup files, depending on the shell
you use.

Also:

- Do NOT use the libforms.so.0.xx comes with the RedHat.
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  
  Use only the version that is distributed together with mtv. Get it
  from ftp://ftp.mpegtv.com/pub/mpeg/mpegtv/player/x86-unknown-linux/
  There are incompatibilities between the various versions
  of the libraries, and versions compiled for libc.so.6 do
  not work well with libc.so.5.

- There seem to be some problems with the dynamic
  library loader on the RedHat 5.x. You may have
  to do the following:

  Do NOT put /usr/X11/R6/lib in your LD_LIBRARY_PATH
  and do NOT put libforms.so.0.xx in /usr/X11/R6/lib.
  Put it in /usr/local/lib, for example. This is because
  of a bug in the dynamic linker.

- Put the following directory in your LD_LIBRARY_PATH:
  /usr/i486-linux-libc5/lib:/usr/local/lib
  This should cause mtv and mtvp to use the libc.so.5,
  which they expect.  Using libc.so.6 will cause some
  problems.
  
- If you get problems with "can't resolve symbol '__xstat'",
  get libc.so.5.4.17 from:
  ftp://ftp.mpegtv.com/pub/mpeg/mpegtv/player/x86-unknown-linux/lib-archive/
  place this library in /usr/i486-linux-libc5/lib/, make sure
  it has the right permissions (read + execute), and run
  ldconfig (as root).

- If you do not want to set LD_LIBRARY_PATH, you should
  place all the libraries required by mtv and mtvp in
  /usr/lib and run ldconfig as root.  Note that mtv
  requires libforms.so.0.xx and that both mtv and mtvp
  require several libraries located in /usr/i486-linux-libc5/lib.
  
If you still have problems, we recommend that you download
and install all the patches relative to RedHat 5.x
(available from the RedHat website www.redhat.com).

If you have done all that and still cannot make mtv work,
please contact us at support@mpegtv.com

-- MpegTV
